Bug 469554 - Wrong images shown in email
Wrong images shown in email
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 07:17 EST by Tim Waugh
Modified: 2018-04-11 14:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 07:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-11-02 07:17:58 EST
Description of problem:
I have two emails with image attachments.  After clicking on the expanders for each image in one of them, looking at the other email and clicking on the expanders shows me the images I just viewed instead of the images attached to the email.  Opening them each in external viewers shows the correct image.

Version-Release number of selected component (if applicable):
evolution-2.22.3.1-1.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Open first email, click on each expander for the attached images
2.Open second email, click on each expander for the attached images
  
Actual results:
Second email appears to contain the same images as the first.

Expected results:
Different set of images is seen.

Additional info:
Comment 1 Milan Crha 2008-11-03 05:10:35 EST
I guess they have the same name, right? It seems it has, and Evo uses the same cache file. Just to check, when you do this in the opposite order, then you'll see the images of the second mail in the first one, right? It's possible it'll require clear Evolution's cache, it's located in ~/.evolution/cache/, probably in the tmp subfolder, if it's an inline attachment.
Comment 2 Tim Waugh 2008-11-03 05:24:48 EST
Viewing them in the opposite order does show the second set of images in place of the first, yes.

They don't appear to have the same name.  The MIME attachments all have different filenames in the message source.

Closing evolution and re-opening it is enough to "reset" it so that either set of images may be viewed, but of course once they have been viewed, the other set appears to be the same as the set just viewed.
Comment 3 Milan Crha 2008-11-03 05:48:53 EST
That sounds strange now. Is it possible to strip private information from the messages and attach them here? Of course only if the picture itself isn't private information. Or I can try to create my own mails, but I would like to see the message parts tree of both of them (message structure, I meant).
Comment 5 Milan Crha 2008-11-03 08:08:25 EST
Thanks for the data. I can see this with your version of Evolution. It works as expected in 2.25.1. I'll try to find what's going wrong in 2.22.3.1.
Comment 6 Milan Crha 2008-11-03 12:44:07 EST
Weird, I cannot get why it does work incorrectly in 2.22.3.1, but it works correctly in 2.24.2 for me.
Comment 7 Mike Chambers 2009-03-07 09:05:20 EST
So has this been fixed, and therefore closed as current release?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Matěj Cepl 2009-05-18 07:56:43 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.